# ]po[ Human Resources
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Human Resources:

<p><p>The Human Resources (HR) package enables basic data information storage for employees. All employee data is centrally mounted on their profile page. Components can be added to their page as necessary enriching the information available about this employee and what projects they are participating and companies they are related to. As always, who is able to view, and how much they are able to view, is dependent on security privileges. <p><p><img src="https://www.project-open.com/images/manual_screenshots/screenshot_human_resource_management.gif" /><p>(Screenshot showing a basic resource list of HR info about an employee) <p><p> &shy; 

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1027&amp;path=packages/intranet-hr/tcl/intranet-hr-procs.tcl">tcl/intranet-hr-procs.tcl</a></b></td><td></td><td>Common procedures to implement employee specific functions: </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_info_component">im_employee_info_component</a></b></td><td></td><td>Show some simple information about a employee </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_status_active">im_employee_status_active</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_status_approved_test">im_employee_status_approved_test</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_status_failed_test">im_employee_status_failed_test</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_status_past">im_employee_status_past</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_status_potential">im_employee_status_potential</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1027&amp;proc=im_employee_status_received_test">im_employee_status_received_test</a></b></td><td></td><td></td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=common/intranet-hr-backup.sql&amp;version_id=1027">sql/common/intranet-hr-backup.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=common/intranet-hr-common.sql&amp;version_id=1027">sql/common/intranet-hr-common.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=postgresql/intranet-hr-create-resource-availability.sql&amp;version_id=1027">sql/postgresql/intranet-hr-create-resource-availability.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=postgresql/intranet-hr-create.sql&amp;version_id=1027">sql/postgresql/intranet-hr-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=postgresql/intranet-hr-drop.sql&amp;version_id=1027">sql/postgresql/intranet-hr-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=postgresql/upgrade/upgrade-5.0.2.4.4-5.0.2.4.5.sql&amp;version_id=1027">sql/postgresql/upgrade/upgrade-5.0.2.4.4-5.0.2.4.5.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-hr&amp;url=postgresql/upgrade/upgrade-5.0.2.4.5-5.0.2.4.6.sql&amp;version_id=1027">sql/postgresql/upgrade/upgrade-5.0.2.4.5-5.0.2.4.6.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/index.tcl">index.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/new.tcl">new.tcl</a></b></td><td>Employee Information form</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/org-chart.adp">org-chart.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/org-chart.tcl">org-chart.tcl</a></b></td><td>by philg@mit.edu on July 6, 1999 uses CONNECT BY on the supervisor column in im_employees to query out the org chart for a company than one person without a supervisor.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/upload-vacationdata-2.tcl">upload-vacationdata-2.tcl</a></b></td><td>Read a .csv-file and inserts the data into im_employee_information.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/upload-vacationdata.adp">upload-vacationdata.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1027&amp;path=packages/intranet-hr/www/upload-vacationdata.tcl">upload-vacationdata.tcl</a></b></td><td>Serve the user a form to upload a new file or URL</td></tr></table>

